Charsets
Date: 2016-05-24

com.google.common.base

## Class Charsets

- java.lang.Object
- - com.google.common.base.Charsets

-     @GwtCompatible(emulated=true)
      public final class Charsets
      extends java.lang.Object

  Contains constant definitions for the six standard `Charset` instances, which are guaranteed to be supported by all Java platform implementations.

  Assuming you're free to choose, note that `UTF_8` is widely preferred.

  See the Guava User Guide article on `Charsets`.

  Since:
    1.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.nio.charset.Charset` | `ISO_8859_1` ISO-8859-1: ISO Latin Alphabet Number 1 (ISO-LATIN-1).
    `static java.nio.charset.Charset` | `US_ASCII` US-ASCII: seven-bit ASCII, the Basic Latin block of the Unicode character set (ISO646-US).
    `static java.nio.charset.Charset` | `UTF_16` UTF-16: sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.
    `static java.nio.charset.Charset` | `UTF_16BE` UTF-16BE: sixteen-bit UCS Transformation Format, big-endian byte order.
    `static java.nio.charset.Charset` | `UTF_16LE` UTF-16LE: sixteen-bit UCS Transformation Format, little-endian byte order.
    `static java.nio.charset.Charset` | `UTF_8` UTF-8: eight-bit UCS Transformation Format.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### US_ASCII

          @GwtIncompatible(value="Non-UTF-8 Charset")
          public static final java.nio.charset.Charset US_ASCII

      US-ASCII: seven-bit ASCII, the Basic Latin block of the Unicode character set (ISO646-US).

      Note for Java 7 and later: this constant should be treated as deprecated; use `StandardCharsets.US_ASCII` instead.

    - #### ISO_8859_1

          @GwtIncompatible(value="Non-UTF-8 Charset")
          public static final java.nio.charset.Charset ISO_8859_1

      ISO-8859-1: ISO Latin Alphabet Number 1 (ISO-LATIN-1).

      Note for Java 7 and later: this constant should be treated as deprecated; use `StandardCharsets.ISO_8859_1` instead.

    - #### UTF_8

          public static final java.nio.charset.Charset UTF_8

      UTF-8: eight-bit UCS Transformation Format.

      Note for Java 7 and later: this constant should be treated as deprecated; use `StandardCharsets.UTF_8` instead.

    - #### UTF_16BE

          @GwtIncompatible(value="Non-UTF-8 Charset")
          public static final java.nio.charset.Charset UTF_16BE

      UTF-16BE: sixteen-bit UCS Transformation Format, big-endian byte order.

      Note for Java 7 and later: this constant should be treated as deprecated; use `StandardCharsets.UTF_16BE` instead.

    - #### UTF_16LE

          @GwtIncompatible(value="Non-UTF-8 Charset")
          public static final java.nio.charset.Charset UTF_16LE

      UTF-16LE: sixteen-bit UCS Transformation Format, little-endian byte order.

      Note for Java 7 and later: this constant should be treated as deprecated; use `StandardCharsets.UTF_16LE` instead.

    - #### UTF_16

          @GwtIncompatible(value="Non-UTF-8 Charset")
          public static final java.nio.charset.Charset UTF_16

      UTF-16: sixteen-bit UCS Transformation Format, byte order identified by an optional byte-order mark.

      Note for Java 7 and later: this constant should be treated as deprecated; use `StandardCharsets.UTF_16` instead.